<?php
require_once __DIR__ . "/../config/config.php";

class RolModel {
    private $pdo;

    public function __construct($pdo) {
        $this->pdo = $pdo;
    }

    // Obtener un rol por su ID
    public function getRolById($id) {
        $stmt = $this->pdo->prepare("SELECT * FROM terrazza_andina_roles WHERE id = :id");
        $stmt->execute([':id' => $id]);
        return $stmt->fetch(PDO::FETCH_ASSOC);
    }

    // Obtener todos los roles
    public function getAllRoles() {
        $stmt = $this->pdo->prepare("SELECT * FROM terrazza_andina_roles");
        $stmt->execute();
        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }
}
?>