<?php include '../templates/header.php'; ?>
<h1>Lista de Productos</h1>
<a href="<?php echo BASE_URL; ?>producto/create">Nuevo Producto</a>
<table>
    <thead>
        <tr>
            <th>ID</th>
            <th>Nombre</th>
            <th>Cantidad</th>
            <th>Fecha Pedido</th>
            <th>Acciones</th>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($productos as $producto): ?>
        <tr>
            <td><?php echo htmlspecialchars($producto['id_productos']); ?></td>
            <td><?php echo htmlspecialchars($producto['nombreProdu']); ?></td>
            <td><?php echo htmlspecialchars($producto['cantidad']); ?></td>
            <td><?php echo htmlspecialchars($producto['fecha_pedido']); ?></td>
            <td>
                <a href="<?php echo BASE_URL; ?>producto/edit?id=<?php echo $producto['id_productos']; ?>">Editar</a>
                <a href="<?php echo BASE_URL; ?>producto/delete?id=<?php echo $producto['id_productos']; ?>" onclick="return confirmDelete()">Eliminar</a>
            </td>
        </tr>
        <?php endforeach; ?>
    </tbody>
</table>
<?php include '../templates/footer.php'; ?>