<?php
require_once '../autoload.php';
require_once '../routes.php';

session_start();

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$uri = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
$route = route($uri);
$controllerName = $route['controller'];
$action = $route['action'];

if (isset($_GET['id'])) {
    $_SESSION['id'] = $_GET['id'];
}

$controller = new $controllerName();
if (method_exists($controller, $action)) {
    $controller->$action();
} else {
    die("Acción no encontrada: $action");
}
?>